%define cvs_date 20070917
%undefine cvs_date
%define snapshot 2008-01-25
%def_disable static

# Note that this is NOT a relocatable package
Name: esmart
Version: 0.9.0.042
%ifdef cvs_date
Release: alt1.%cvs_date
%else
Release: alt1
%endif

Summary: A collection of evas smart objects
License: BSD
Group: System/Libraries
URL: http://www.enlightenment.org

Source: http://download.enlightenment.org/snapshots/%snapshot/%name-%version.tar.bz2
Patch: %name-0.9.0.042-alt-libs.patch

%{?_enable_static:BuildPreReq: glibc-devel-static}

BuildPreReq: libevas-devel >= 0.9.9
BuildPreReq: libecore-devel >= 0.9.9
BuildPreReq: libedje-devel >= 0.5.0
BuildPreReq: libepsilon-devel >= 0.3.0
BuildRequires: imlib2-devel libltdl-devel libX11-devel edje

%description
This is a evas smart object version of the freedesktop.org thumbnail spec.

%package -n lib%name
Summary: esmart library
Group: System/Libraries

%description -n lib%name
This is a evas smart object version of the freedesktop.org thumbnail spec.

This package contains shared esmart library.

%package -n lib%name-devel
Summary: esmart headers and development libraries
Group: Development/C
Requires: lib%name = %version

%description -n lib%name-devel
This is a evas smart object version of the freedesktop.org thumbnail spec.

This package contains esmart headers and development libraries

%package -n lib%name-devel-static
Summary: esmart static libraries
Group: Development/C
Requires: lib%name-devel = %version

%description -n lib%name-devel-static
This is a evas smart object version of the freedesktop.org thumbnail spec.

This package contains static libraries

%prep
%ifdef cvs_date
%setup -q -n %name
%else
%setup -q
%endif

%patch -b .libs

%build
%autoreconf

%ifdef cvs_date
export NOCONFIGURE=yes
sh autogen.sh
%endif

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install
find %buildroot%_libdir -name "*.la" -delete

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%_libdir/%name/
%_datadir/%name/
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

%files -n lib%name-devel
%_bindir/*
%_includedir/*
%_libdir/pkgconfig/*.pc
%_libdir/*.so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Oct 22 2008 Yuri N. Sedunov <aris@altlinux.org> 0.9.0.042-alt1
- 0.9.0.042

* Mon Sep 17 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.9.0.011-alt1.20070917
- CVS from 20070917.

* Thu Sep 06 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.9.0.011-alt1.20070905
- CVS from 20070905.

* Tue Jul 31 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.9.0.010-alt1.20070731
- CVS from 20070731.

* Thu May 10 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.9.0.008-alt2.20070509
- Fix packaging %%_libdir/esmart - moved to libesmart package.
- Remove test subpackage, moved it's contents to -devel package.

* Wed May 09 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.9.0.008-alt1.20070509
- CVS from 20070509.
- BuildRequires cleanup.
- Build fixes (as-needed).

* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050530
- updated from cvs.

* Tue May 24 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050524
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050516
- updated from cvs.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050428
- updated from cvs.
- minor spec fixes.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050421
- updated from cvs

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.2_002_20050329
- updated from cvs.
- added %name-test package
- removed empty %name package

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.1_20050122
- updated from cvs.

* Tue Dec 28 2004 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.1_20041228
- updated from cvs.

* Fri Dec 17 2004 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.1_20041216
- updated from cvs.

* Sun Oct 24 2004 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.1_20041022
- First build for Sisyphus.

